<?php
require'fun.php';
require'f_conectare.php';
conectare('dezactiveaza cont','dezactiveaza-contul');
$titlu='Dezactivează-ți contul';
$back[1]='<a href="/setari">'.img('setari.png',2).'Setări</a>';
require'f_sus.php';
if($de>0)
require'f_nou.php';
$parola_membru=$conn->query('SELECT`parola`FROM`membrii`WHERE`id`="'.$de.'"')->fetch_row()[0];
if($page==1&&md5($pmtext)==$parola_membru&&md5($_POST['parola'])==$parola_membru)
{
if($conn->query('UPDATE`membrii`SET`cont_dezactivat`="'.$_SERVER['REQUEST_TIME'].'"WHERE`id`="'.$de.'"'))
{
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Ti-ai dezactivat contul!';
if($perm>0)
echo($conn->query('UPDATE`membrii`SET`perm`="0"WHERE`id`="'.$de.'"')?'<br />Deoarece ai deținut funcție de administrator, ai renunțat și la aceasta în mod automat!':'');
$conn->query('DELETE FROM`membrii_conectati`WHERE`de`="'.$de.'"');
unset($_SESSION['identitate']);
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7];
}
else
{
echo$div[4].'<img src="'.$domenii_statice[1].'off.png" alt="" width="16" height="16" />Dezactivează-ți contul'.$div[5].$div[10].'Daca nu mai dorești sa intri pe '.$adresasite[1].', poți să-ți dezactivezi contul!<br />Cat timp ai contul dezactivat nu poți primi alerte/daruri/mesaje ci doar notificari, iar dacă dorești reactivarea contului, trebuie să tii cont de faptul că nu se face pe loc, ci poate dura ceva timp rezolvarea cererii.<br />Reactivarea se poate face și manual, dar doar după trei zile de la dezactivarea contului.'.$div[0];
$form[0]='/dezactiveaza-contul/pagina/1" method="post';
$form[1]=0;
$form[2]=$div[1].'Introdu parola contului tau:<br /><input name="pmtext" />'.$div[0].$div[1].'Reintrodu parola contului tau:<br /><input name="parola" />'.$div[0];
$form[3]='pmtext::parola';
$form[4]='Dezactivează-ți contul';
require'f_form.php';
}
require'f_jos.php';